> For a complete page index, fetch https://docs.transak.com/llms.txt # Get Webhooks GET https://api-stg.transak.com/partners/api/v2/webhooks Retrieves a list of webhook events based on an `eventID` filter. You can apply filters to narrow down the response. Supported `eventID` values: * `ORDER_CREATED` * `ORDER_PROCESSING` * `ORDER_PAYMENT_VERIFYING` * `ORDER_COMPLETED` * `ORDER_FAILED` * `ORDER_CANCELLED` To fetch relevant data, provide `orderID` along with the `eventID` filter. Reference: https://docs.transak.com/api/public/get-webhooks ## Request ### Query parameters - `eventID` (string, optional) — Filter by event id (ORDER_COMPLETED, ORDER_CANCELLED, ORDER_CREATED, ORDER_FAILED, ORDER_PROCESSING,ORDER_PAYMENT_VERIFYING)) - `orderID` (string, optional) — Filter by order id - `limit` (integer, optional, default: 100) — limits the number of records returned. - `skip` (integer, optional, default: 0) — skip omits the specified number of returned records - `startDate` (string, optional) — startDate in YYYY-MM-DD format. Filters by createdAt from this date. - `endDate` (string, optional) — endDate in YYYY-MM-DD format. Filters by createdAt up to this date. - `status` (string, optional) — Filter by delivery outcome. Supported values are `success` and `failed`. ### Headers - `x-api-key` (string, required) — Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section). - `access-token` (string, required) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. ## Response ### 200 200 - `meta` (WebhooksGetResponsesContentApplicationJsonSchemaMeta, optional) — Only includes the filters that were actually applied. - `data` (list of WebhooksGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Errors ### 400 Bad Request Error 400 - `error` (WebhooksGetResponsesContentApplicationJsonSchemaError, required) ### 401 Unauthorized Error 401 - `error` (WebhooksGetResponsesContentApplicationJsonSchemaError, required) ## Types ### WebhooksGetResponsesContentApplicationJsonSchemaMeta Only includes the filters that were actually applied. - `limit` (integer, optional) — Clamped value actually used. Always present. - `skip` (integer, optional) — Clamped value actually used. Always present. - `totalCount` (integer, optional, nullable) — Total matching rows, ignoring limit/skip. Always present, can be null. - `orderID` (string, optional) — Echo of the value, present only if `orderID` was passed. - `eventID` (string, optional) — Echo of the value, present only if `eventID` was passed. - `status` (string, optional) — Echo of the value, present only if a valid `status` was passed. - `startDate` (string, optional) — Echo of the value, present only if `startDate` was passed. - `endDate` (string, optional) — Normalised value, present only if `endDate` was passed. ### WebhooksGetResponsesContentApplicationJsonSchemaDataItems - `id` (string, optional) — Unique identifier - `partnerApiKey` (string, optional) — Partner’s API key used to authenticate API - `createdAt` (string, optional) — creation timestamp - `eventID` (string, optional) — eventId based on fillter value E.g.,(ORDER_COMPLETED, ORDER_CANCELLED, ORDER_CREATED, ORDER_FAILED, ORDER_PROCESSING,ORDER_PAYMENT_VERIFYING)) - `webhookData` (WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookData, optional) - `webhookResponse` (WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookResponse, optional) — Outcome of the webhook delivery attempt to the partner endpoint. ### WebhooksGetResponsesContentApplicationJsonSchemaError - `statusCode` (integer, required) - `message` (string, required) ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookData - `id` (string, optional) — Unique identifier - `walletAddress` (string, optional) — User’s blockchain wallet address - `createdAt` (string, optional) — creation timestamp - `status` (string, optional) — Current state of the order. Possible values: PENDING, COMPLETED, FAILED, etc - `fiatCurrency` (string, optional) — Fiat currency E.g., "GBP", "USD" - `userId` (string, optional) — Unique ID of the user placing the order. - `cryptoCurrency` (string, optional) — Cryptocurrency E.g., ETH, BTC - `isBuyOrSell` (string, optional) — Type of order – in this case, a crypto purchase. - `fiatAmount` (integer, optional, default: 0) — Amount of fiat paid by the user for order - `ipAddress` (string, optional) — IP address from which the order was initiated. - `amountPaid` (integer, optional, default: 0) — Total charged Amount from the user for order. - `paymentOptionId` (string, optional) — Payment method used for order. E.g., "gbp_bank_transfer" - `bankReference` (string, optional) — Reference code for the bank transfer, applicable for bank transfer orders. - `walletLink` (string, optional) — Link to blockchain explorer for the wallet. - `quoteId` (string, optional) — A unique identifier generated by the API when the user initially requests a pricing quote. - `orderProcessingType` (string, optional) — Processing mode of order E.g., NORMAL, FAST - `addressAdditionalData` (boolean, optional, default: true) — Additional wallet metadata - `network` (string, optional) — Blockchain network, E.g.,: ethereum, polygon - `conversionPrice` (double, optional, default: 0) — Effective conversion rate.Fiat/crypto rate after fees - `cryptoAmount` (double, optional, default: 0) — Crypto Amount received after conversion - `totalFeeInFiat` (double, optional, default: 0) — Total fee charged in fiat. - `fiatAmountInUsd` (double, optional, default: 0) — Fiat Amount in USD. E.g. 50 - `countryCode` (string, optional) — country code based on IP. E.g., "IN" - `stateCode` (string, optional) — State Name E.g., "Karnataka" - `orderChannelType` (string, optional) — order Channel E.g., WIDGET - `tokenContractAddress` (string, optional) — token contract address - `userKycType` (string, optional) — Kyc Type E.g., "STANDARD" - `cardPaymentData` (WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentData, optional) - `statusHistories` (list of WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataStatusHistoriesItems, optional) - `isFirstOrder` (boolean, optional, default: true) — order flag order is FirstOrder or not. - `updatedAt` (string, optional) — Update order Timestamp - `completedAt` (string, optional) — completed order Timestamp - `transactionHash` (string, optional) — transaction ID E.g., "DUMMY_TX_ID" - `transactionLink` (string, optional) — transaction Link to track details - `conversionPriceData` (WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceData, optional) - `partnerFeeInLocalCurrency` (double, optional, default: 0) — partner fees in local currency based on local IP. ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookResponse Outcome of the webhook delivery attempt to the partner endpoint. - `status` (string, optional) — Delivery outcome. Supported values are `success` and `failed`. ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentData - `orderId` (string, optional) — orderID Unique identifier - `paymentId` (string, optional) — Payment Unique ID - `pgData` (WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentDataPgData, optional) - `liquidityProvider` (string, optional) — Order Conversion Liquidity Provider E.g., "OPENPAYD_MALTA" - `updatedAt` (string, optional) — Updated timestamp ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataStatusHistoriesItems - `status` (string, optional) — status of the order. E.g. COMPLETED " - `createdAt` (string, optional) — creation timestamp - `message` (string, optional) — message of transaction status. E.g., "Payment reconciled successfully. Received 45 GBP" - `isEmailSentToUser` (boolean, optional, default: true) — Email Sent User flag "True" or " False" - `partnerEventId` (string, optional) — Order Event Status. E.g., ORDER_PROCESSING ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceData - `_id` (string, optional) — Unique identifier - `id` (string, optional) — Unique identifier - `createdAt` (string, optional) — creation timestamp - `fiatCurrency` (string, optional) — Fiat currency E.g., "GBP" - `cryptoCurrency` (string, optional) — crypto currency E.g., "ETH" - `paymentMethod` (string, optional) — Payment method used for order. E.g., "gbp_bank_transfer" - `fiatAmount` (integer, optional, default: 0) — Amount in Fiat currency - `network` (string, optional) — Blockchain network E.g., ethereum, polygon - `cryptoAmount` (double, optional, default: 0) — Amount in crypto currency - `isBuyOrSell` (string, optional) — Type of order – in this case, a crypto purchase. - `conversionPrice` (double, optional, default: 0) — Effective conversion rate.Fiat/crypto rate after fees - `marketConversionPrice` (double, optional, default: 0) — Market rate at order time Without slippage - `slippage` (double, optional, default: 0) — Slippage is the difference between the expected price of a crypto trade and the actual executed price. - `cryptoLiquidityProvider` (string, optional) — Source of crypto liquidity. E.g., transak - `fiatLiquidityProvider` (string, optional) — Source of fiat liquidity.E.g.,coinbase - `partnerApiKey` (string, optional) — Partner’s API key used to authenticate API - `sourceTokenAmount` (double, optional, default: 0) — Partner’s API key used in API for response - `sourceToken` (string, optional) — Initial token type. E.g.,ETH, USDT - `notes` (list of any, optional) - `fiatFeeAmount` (double, optional, default: 0) — Total fee charged in fiat. - `feeDecimal` (double, optional, default: 0) — Fee percentage in decimal. - `swaps` (list of WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataSwapsItems, optional) - `fees` (list of WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataFeesItems, optional) - `fiatAmountInUsd` (double, optional, default: 0) - `internalFees` (list of WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataInternalFeesItems, optional) - `cost` (WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataCost, optional) ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentDataPgData - `liquidityProvider` (string, optional) — Order Conversion Liquidity Provider E.g., "OPENPAYD_MALTA" - `status` (string, optional) — order creation status E.g. "CREATED" - `beneficiaryName` (string, optional) — Beneficiary Name of Provider. E.g., "Abc Xyz" - `paymentOptions` (list of WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentDataPgDataPaymentOptionsItems, optional) ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataSwapsItems - `sourceCurrency` (string, optional) — source currency for order E.g., "GBP" - `destinationCurrency` (string, optional) — user initiated currency conversion E.g., USDT, ETH - `sourceAmount` (integer, optional, default: 0) — Input amount - `destinationAmount` (double, optional, default: 0) — Output amount - `paymentMethod` (string, optional) — Fiat payment method. E.g., gbp_bank_transfer - `liquidityProvider` (string, optional) — Source of liquidity Provider. E.g., transak - `conversionPrice` (double, optional, default: 0) — convertion Amount Price based on swap - `feeInSourceAmount` (integer, optional, default: 0) — Fees soruce amount - `networkFeeInSourceAmount` (integer, optional, default: 0) — network fee source amount - `marketConversionPrice` (double, optional, default: 0) — based on marketprice showing conversion price - `isNonCustodial` (boolean, optional, default: true) — source of provide is "NonCustodial" flag based on True / False - `isFiatliquidityProvider` (boolean, optional, default: true) — Fiat liquidity provider flag to check there is liquidity provide is there "True" / "False" - `isFiatPartnerDirectCryptoDeposit` (boolean, optional, default: true) - `isFiatPartnerAccountWalletDeposit` (boolean, optional, default: true) - `liquidityProviderData` (boolean, optional, default: true) - `originalDestinationAmount` (double, optional, default: 0) ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataFeesItems - `name` (string, optional) — Fees Name E.g., "Network/Exchange fee", "Transak fee" - `value` (integer, optional, default: 0) — Fees value amount. E.g., "2" - `id` (string, optional) — fee id name E.g., "transak_fee" - `ids` (list of string, optional) — fees ids name E.g., "transak_fee", "partner_fee" ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataInternalFeesItems - `name` (string, optional) — Name of Fee E.g., - `id` (string, optional) — fees id name E.g., "transak_fee" - `value` (double, optional, default: 0) — value of fees amount ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataConversionPriceDataCost - `ethPriceInLocalCurrency` (double, optional, default: 0) — ETH price in Local currency - `gasCostinLocalCurrency` (double, optional, default: 0) — Transaction Gas Fee cost in Local currency - `transakMinimumFee` (integer, optional, default: 0) — transak Minimum Transaction Fees - `transakFeeAmount` (integer, optional, default: 0) — Transaction Fees charger by transak - `fiatLiquidityProviderFee` (integer, optional, default: 0) — Transaction Fees charger by LiquidityProvide - `gasCostinLocalCurrencyByFiatPartner` (integer, optional, default: 0) — Transaction Gas Fee cost in Local currency by FiatPartner - `gasCostinLocalCurrencyByCryptoPartner` (integer, optional, default: 0) — Transaction Gas Fee cost in Local currency by CryptoPartner - `partnerFeeDecimal` (double, optional, default: 0) — partner Fee in decimal amount. - `partnerFeeInLocalCurrency` (double, optional, default: 0) — partner fees changed in LocalCurrency during conversion - `totalFeeDecimal` (double, optional, default: 0) — Total Amount of fees in Decimals - `totalFeeAmount` (double, optional, default: 0) — Total Amount of fees charged during transaction - `gasCurrency` (string, optional) — Transaction gas fee currency. E.g., "ETH" - `gasInNativeToken` (double, optional, default: 0) — Transaction gas fee chargerd in Crytpo Native Token. - `gasCurrencyRateInUsd` (double, optional, default: 0) — Transaction gas fee Rate in USD - `totalAmountChargedByTransak` (double, optional, default: 0) — Transak Fee Amount ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentDataPgDataPaymentOptionsItems - `currency` (string, optional) — Name of Payment Currency. E.g., "GBP" - `id` (string, optional) — payment provider id. E.g., "gbp_bank_transfer" - `name` (string, optional) — Payment option Name. E.g., "Bank Transfer Details" - `fields` (list of WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentDataPgDataPaymentOptionsItemsFieldsItems, optional) ### WebhooksGetResponsesContentApplicationJsonSchemaDataItemsWebhookDataCardPaymentDataPgDataPaymentOptionsItemsFieldsItems - `name` (string, optional) - `value` (string, optional) ## Examples **Response** ```json { "meta": { "limit": 100, "skip": 0, "totalCount": 1, "orderID": "322dc79c-fad2-4df1-bf50-b292191fc953", "eventID": "ORDER_COMPLETED", "status": "success" }, "data": [ { "id": "670e7c469f2a5dd93fbe4406", "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "createdAt": "2024-10-15T14:29:26.929Z", "eventID": "ORDER_COMPLETED", "webhookData": { "id": "322dc79c-fad2-4df1-bf50-b292191fc953", "walletAddress": "0xD902d7E", "createdAt": "2024-10-15T14:29:11.104Z", "status": "COMPLETED", "fiatCurrency": "GBP", "userId": "243a8ce2-9cc6-41a9-aaeb-b0deeb0b19a3", "cryptoCurrency": "ETH", "isBuyOrSell": "BUY", "fiatAmount": 45, "ipAddress": "35.177.158.9", "amountPaid": 45, "paymentOptionId": "gbp_bank_transfer", "bankReference": "VD180620260000056", "walletLink": "https://sepolia.etherscan.io/address/0xD902d7eBFeE", "quoteId": "20148892-f984-4e3f-8bb7-fba6c0ec9182", "orderProcessingType": "NORMAL", "addressAdditionalData": false, "network": "ethereum", "conversionPrice": 0.0004122498271491127, "cryptoAmount": 0.01788752, "totalFeeInFiat": 1.61, "fiatAmountInUsd": 49.1, "countryCode": "IN", "stateCode": "Karnataka", "orderChannelType": "WIDGET", "tokenContractAddress": "0x0000000000000000000000000000000000000000", "userKycType": "STANDARD", "cardPaymentData": { "orderId": "322dc79c-fad2-4df1-bf50-b292191fc953", "paymentId": "670e7c387b5777f9332927b6", "pgData": { "liquidityProvider": "OPENPAYD_MALTA", "status": "CREATED", "beneficiaryName": "Abc Xyz", "paymentOptions": [ { "currency": "GBP", "id": "gbp_bank_transfer", "name": "Bank Transfer Details", "fields": [ { "name": "Account Type", "value": "Personal" }, { "name": "Amount", "value": "45 GBP" }, { "name": "First Name (Beneficiary)", "value": "Abc" }, { "name": "Last Name (Beneficiary)", "value": "Xyz" }, { "name": "IBAN", "value": "GB57SEOU19870010260405" }, { "name": "Bank Name", "value": "Simulator Bank" }, { "name": "Bank Country", "value": "Malta" }, { "name": "Bank Address", "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR" } ] } ] }, "liquidityProvider": "OPENPAYD_MALTA", "updatedAt": "2024-10-15T14:29:12.243Z" }, "statusHistories": [ { "status": "PENDING_DELIVERY_FROM_TRANSAK", "createdAt": "2024-10-15T14:29:15.542Z", "message": "💸 Payment reconciled successfully. Received 45 GBP", "isEmailSentToUser": false, "partnerEventId": "ORDER_PROCESSING" } ], "isFirstOrder": false, "updatedAt": "2024-10-15T14:29:19.220Z", "completedAt": "2024-10-15T14:29:26.029Z", "transactionHash": "DUMMY_TX_ID", "transactionLink": "https://sepolia.etherscan.io/tx/DUMMY_TX_ID", "conversionPriceData": { "_id": "a28c76cc-b9e3-4ba4-81fc-0eece6f28559", "id": "a28c76cc-b9e3-4ba4-81fc-0eece6f28559", "createdAt": "2024-10-15T14:29:19.198Z", "fiatCurrency": "GBP", "cryptoCurrency": "ETH", "paymentMethod": "gbp_bank_transfer", "fiatAmount": 45, "network": "ethereum", "cryptoAmount": 0.01788752, "isBuyOrSell": "BUY", "conversionPrice": 0.0004122498711328036, "marketConversionPrice": 0.00041436312306041164, "slippage": 0.51, "cryptoLiquidityProvider": "transak", "fiatLiquidityProvider": "coinbase", "partnerApiKey": "d79671a4-b021-4a4f-a444-6862a680a94b", "sourceTokenAmount": 0.017887521908452348, "sourceToken": "ETH", "notes": [], "fiatFeeAmount": 1.61, "feeDecimal": 0.03577777777777778, "swaps": [ { "sourceCurrency": "GBP", "destinationCurrency": "USDT", "sourceAmount": 45, "destinationAmount": 49.10881925158181, "paymentMethod": "gbp_bank_transfer", "liquidityProvider": "coinbase", "conversionPrice": 1.0913070944795957, "feeInSourceAmount": 0, "networkFeeInSourceAmount": 0, "marketConversionPrice": 1.0913070944795957, "isNonCustodial": false, "isFiatliquidityProvider": true, "isFiatPartnerDirectCryptoDeposit": false, "isFiatPartnerAccountWalletDeposit": false, "liquidityProviderData": false, "originalDestinationAmount": 49.10881925158181 }, { "sourceCurrency": "USDT", "destinationCurrency": "ETH", "sourceAmount": 0, "destinationAmount": 0.01855124420097616, "liquidityProvider": "transak", "conversionPrice": 0.00037775789529654837, "networkFeeInSourceAmount": 0, "marketConversionPrice": 0.00037775789529654837, "isNonCustodial": false, "liquidityProviderData": false, "networkFeeInDestinationAmount": 0 }, { "sourceCurrency": "ETH", "destinationCurrency": "ETH", "sourceAmount": 0, "destinationAmount": 0.01855124420097616, "liquidityProvider": "transak", "conversionPrice": 1, "networkFeeInSourceAmount": 0, "marketConversionPrice": 1, "isFiatPartnerAccountWalletDeposit": false, "liquidityProviderData": false, "isCryptoliquidityProvider": true, "networkFeeInDestinationAmount": 0.000067634257104 } ], "fees": [ { "name": "Transak fee", "value": 1, "id": "transak_fee", "ids": [ "transak_fee" ] }, { "name": "Staging fee", "value": 0, "id": "partner_fee", "ids": [ "partner_fee" ] }, { "name": "Network/Exchange fee", "value": 0, "id": "network_fee", "ids": [ "network_fee" ] } ], "fiatAmountInUsd": 49.1, "internalFees": [ { "name": "Network/Exchange fee", "id": "network_fee", "value": 0.16 }, { "name": "Transak fee", "id": "transak_fee", "value": 1 }, { "name": "Staging fee", "id": "partner_fee", "value": 0.45 } ], "cost": { "ethPriceInLocalCurrency": 2413.3421734400004, "gasCostinLocalCurrency": 0.16410726779392, "transakMinimumFee": 1, "transakFeeAmount": 1, "fiatLiquidityProviderFee": 0, "gasCostinLocalCurrencyByFiatPartner": 0, "gasCostinLocalCurrencyByCryptoPartner": 0, "partnerFeeDecimal": 0.01, "partnerFeeInLocalCurrency": 0.45, "totalFeeDecimal": 0.03577777777777778, "totalFeeAmount": 1.61, "gasCurrency": "ETH", "gasInNativeToken": 0.000068, "gasCurrencyRateInUsd": 0.0003798006806028196, "totalAmountChargedByTransak": 1.6141072677939199 } }, "partnerFeeInLocalCurrency": 0.45 } } ] } ``` **SDK Code** ```python Webhook Data import requests url = "https://api-stg.transak.com/partners/api/v2/webhooks" headers = { "access-token": "", "x-api-key": "" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Webhook Data const url = 'https://api-stg.transak.com/partners/api/v2/webhooks'; const options = {method: 'GET', headers: {'access-token': '', 'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Webhook Data package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-stg.transak.com/partners/api/v2/webhooks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("access-token", "") req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Webhook Data require 'uri' require 'net/http' url = URI("https://api-stg.transak.com/partners/api/v2/webhooks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["access-token"] = '' request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java Webhook Data import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-stg.transak.com/partners/api/v2/webhooks") .header("access-token", "") .header("x-api-key", "") .asString(); ``` ```php Webhook Data request('GET', 'https://api-stg.transak.com/partners/api/v2/webhooks', [ 'headers' => [ 'access-token' => '', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp Webhook Data using RestSharp; var client = new RestClient("https://api-stg.transak.com/partners/api/v2/webhooks"); var request = new RestRequest(Method.GET); request.AddHeader("access-token", ""); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift Webhook Data import Foundation let headers = [ "access-token": "", "x-api-key": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-stg.transak.com/partners/api/v2/webhooks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```